Subject: [Spits] diffy noise in my 75.

From: "Richard Thomas Stieg (rstieg)" <[email-masked]>
Date: Fri, 18 Oct 2013 19:29:37 +0000

Last Sunday I noticed a definite howl coming from the rear end under
acceleration. Plan on checking the lube oil this weekend (maybe it's just
low?) :(.  I know, I know....

I have a Locker diffy for some reason I can't remember and wonder if that
chunk is rebuildable as a road worthy piece, or should I look for a
remanufactured unit? ($1000 min) DIY rebuild?  just drive under 20 around the
neighborhood??

rick stieg

75 Spit
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive